

#ifndef __FLD_CONF_ID_H__
#define __FLD_CONF_ID_H__


//%GLOB:fl_conf_id:START%


/*** Version ***/
#define FLD_CONF_ID_VERSION "0.1.0"
#define FLD_CONF_ID_VERSION_S "0.1.0"
#define FLD_CONF_ID_VERSION_N 

#define FLD_CONF_ID_VERSION_X "0"
#define FLD_CONF_ID_VERSION_X_S "0"
#define FLD_CONF_ID_VERSION_X_N 0

#define FLD_CONF_ID_VERSION_Y "1"
#define FLD_CONF_ID_VERSION_Y_S "1"
#define FLD_CONF_ID_VERSION_Y_N 1

#define FLD_CONF_ID_VERSION_Z "0"
#define FLD_CONF_ID_VERSION_Z_S "0"
#define FLD_CONF_ID_VERSION_Z_N 0


/*** Helper macros ***/
#define FLD_IS_EMPTY_S(S) S ## 1


/*** Operating System ***/
#define FLD_OS_NAME "IRIX"
#define FLD_OS_VERSION "6.5"
#define FLD_OS_RELEASE "30"
#define FLD_OS_REVISION ""
#define FLD_OS_PATCHLEVEL ""
#define FLD_OS_VENDOR "SGI"

/* String */
#define FLD_OS_NAME_S "IRIX"
#define FLD_OS_VERSION_S "6.5"
#define FLD_OS_RELEASE_S "30"
#define FLD_OS_REVISION_S ""
#define FLD_OS_PATCHLEVEL_S ""
#define FLD_OS_VENDOR_S "SGI"

/* Number */
#define FLD_OS_NAME_N 
#define FLD_OS_VERSION_N 
#define FLD_OS_RELEASE_N 30
#define FLD_OS_REVISION_N
#define FLD_OS_PATCHLEVEL_N 
#define FLD_OS_VENDOR_N 

/* Value - 0 or 1 */
/* FLD_OS_NAME */
#define FLD_OS_NAME_V_OSF1 0
//%MACRO:$FLD_OS_NAME_V_OSF1:0%
#define FLD_OS_NAME_V_IRIX 1
//%MACRO:$FLD_OS_NAME_V_IRIX:1%

/* FLD_OS_VERSION */
#define FLD_OS_VERSION_V_5_1 0
//%MACRO:$FLD_OS_VERSION_V_5_1:0%
#define FLD_OS_VERSION_V_6_5 1
//%MACRO:$FLD_OS_VERSION_V_6_5:1%

/* FLD_OS_RELEASE */
#define FLD_OS_RELEASE_V_B 0
//%MACRO:$FLD_OS_RELEASE_V_B:0%
#define FLD_OS_RELEASE_V_30 1
//%MACRO:$FLD_OS_RELEASE_V_30:1%


/* FLD_OS_REVISION */
/* FLD_OS_PATCHLEVEL */
/* FLD_OS_VENDOR */
#define FLD_OS_VENDOR_V_HP 0
#define FLD_OS_VENDOR_V_SGI 1


/*** CPU ***/
#define FLD_CPU_ARCH "MIPS"
#define FLD_CPU_SPEED "250"
#define FLD_CPU_NUMBER "1"
#define FLD_CPU_FAMILY "R10000"
#define FLD_CPU_PLATFORM "IP30"
#define FLD_CPU_ENDIAN "B"
#define FLD_CPU_BITS "64"

/* String */
#define FLD_CPU_ARCH_S "MIPS"
#define FLD_CPU_SPEED_S "250"
#define FLD_CPU_NUMBER_S "1"
#define FLD_CPU_FAMILY_S "R10000"
#define FLD_CPU_PLATFORM_S "IP30"
#define FLD_CPU_ENDIAN_S "B"
#define FLD_CPU_BITS_S "64"

/* Number */
#define FLD_CPU_ARCH_N 
#define FLD_CPU_SPEED_N 250
#define FLD_CPU_NUMBER_N 1
#define FLD_CPU_FAMILY_N 
#define FLD_CPU_PLATFORM_N 30
#define FLD_CPU_ENDIAN_N 
#define FLD_CPU_BITS_N 64


/* Value - 0 or 1 */
#define FLD_CPU_ARCH_V_ALPHA 0
#define FLD_CPU_ARCH_V_MIPS 1

#define FLD_CPU_SPEED_V_1216 0
#define FLD_CPU_SPEED_V_200 0
#define FLD_CPU_SPEED_V_250 1
#define FLD_CPU_SPEED_V_500 0

#define FLD_CPU_NUMBER_V_1 1
#define FLD_CPU_NUMBER_V_2 0

#define FLD_CPU_FAMILY_V_EV4 0
#define FLD_CPU_FAMILY_V_R5K 0
#define FLD_CPU_FAMILY_V_R10K 1
#define FLD_CPU_FAMILY_V_R14K 0

#define FLD_CPU_PLATFORM_V_30 1
#define FLD_CPU_PLATFORM_V_32 0
#define FLD_CPU_PLATFORM_V_35 0

#define FLD_CPU_ENDIAN_V_LE 0
#define FLD_CPU_ENDIAN_V_BE 1

#define FLD_CPU_BITS_V_32 0
#define FLD_CPU_BITS_V_64 1


/*** Compiler ***/
/* C compiler */
#define FLD_COMP_C_NAME "MIPSPRO C"
#define FLD_COMP_C_VERSION "7.4"
#define FLD_COMP_C_RELEASE ""
#define FLD_COMP_C_REVISION "4"
#define FLD_COMP_C_PATCHLEVEL ""
#define FLD_COMP_C_VENDOR "SGI"

/* C compiler - String */
#define FLD_COMP_C_NAME_S "MIPSPRO C"
#define FLD_COMP_C_VERSION_S "7.4"
#define FLD_COMP_C_RELEASE_S ""
#define FLD_COMP_C_REVISION_S "4"
#define FLD_COMP_C_PATCHLEVEL_S ""
#define FLD_COMP_C_VENDOR_S "SGI"

/* C compiler - Number */
#define FLD_COMP_C_NAME_N 
#define FLD_COMP_C_VERSION_N 
#define FLD_COMP_C_RELEASE_N 
#define FLD_COMP_C_REVISION_N 4
#define FLD_COMP_C_PATCHLEVEL_N 
#define FLD_COMP_C_VENDOR_N 


/* C++ compiler */
/*#define FLD_COMP_CXX_NAME $COMP_CXX_NAME
#define FLD_COMP_CXX_VERSION $COMP_CXX_VERSION
#define FLD_COMP_CXX_RELEASE $COMP_CXX_RELEASE
#define FLD_COMP_CXX_REVISION $COMP_CXX_REVISION
#define FLD_COMP_CXX_PATCHLEVEL $COMP_CXX_PATCHLEVEL
#define FLD_COMP_CXX_VENDOR $COMP_CXX_VENDOR
#define FLD_COMP_CC_NAME $COMP_CC_NAME
#define FLD_COMP_CC_VERSION $COMP_CC_VERSION
#define FLD_COMP_CC_RELEASE $COMP_CC_RELEASE
#define FLD_COMP_CC_REVISION $COMP_CC_REVISION
#define FLD_COMP_CC_PATCHLEVEL $COMP_CC_PATCHLEVEL
#define FLD_COMP_CC_VENDOR $COMP_CC_VENDOR*/

/* Compilation */
#define FLD_COMP_SPACE "U"
#define FLD_COMP_BITS "32"

/* Compilation - String */
#define FLD_COMP_SPACE_S "U"
#define FLD_COMP_BITS_S "32"

/* Compilation - Number */
#define FLD_COMP_SPACE_N
#define FLD_COMP_BITS_N 32

/* Compilation options - like values, but without format *_V_VALNAME */
#define FLD_COMP_USER 1
#define FLD_COMP_KERNEL 0



/*** Preprocessor defines ***/
/* OS specific */
#if FLD_OS_NAME_V_OSF1

#	if FLD_OS_VERSION_V_5_1

#		if FLD_OS_RELEASE_V_B

#			if defined(KERNEL) && defined(_KERNEL)

#				undef FLD_COMP_SPACE
#				define FLD_COMP_SPACE "K"
//                              %MACRO:$FLD_COMP_SPACE:"K"%

#				undef FLD_COMP_SPACE_S
#				define FLD_COMP_SPACE_S "K"
//                              %MACRO:$FLD_COMP_SPACE_S:"K"%

#				undef FLD_COMP_SPACE_N
#				define FLD_COMP_SPACE_N
//                              %MACRO:$FLD_COMP_SPACE_N:1%

#				undef FLD_COMP_USER
#				define FLD_COMP_USER 0
//                              %MACRO:$FLD_COMP_USER:0%

#				undef FLD_COMP_KERNEL
#				define FLD_COMP_KERNEL 1
//                              %MACRO:$FLD_COMP_KERNEL:1%

#			endif /* defined(KERNEL) && defined(_KERNEL) */

#		endif /* FLD_OS_RELEASE == "B" */

#	endif /* FLD_OS_VERSION == "5.1" */

#elif FLD_OS_NAME_V_IRIX

#	if FLD_OS_VERSION_V_6_5

#		if FLD_OS_RELEASE_V_30

#			if defined(_KERNEL)

#				undef FLD_COMP_SPACE
#				define FLD_COMP_SPACE "K"
//                              %MACRO:$FLD_COMP_SPACE:"K"%

#				undef FLD_COMP_SPACE_S
#				define FLD_COMP_SPACE_S "K"
//                              %MACRO:$FLD_COMP_SPACE_S:"K"%

#				undef FLD_COMP_SPACE_N
#				define FLD_COMP_SPACE_N
//                              %MACRO:$FLD_COMP_SPACE_N:1%

#				undef FLD_COMP_USER
#				define FLD_COMP_USER 0
//                              %MACRO:$FLD_COMP_USER:0%

#				undef FLD_COMP_KERNEL
#				define FLD_COMP_KERNEL 1
//                              %MACRO:$FLD_COMP_KERNEL:1%

#			endif /* defined(_KERNEL) */

#		endif /* FLD_OS_RELEASE == "30" */

#	endif /* FLD_OS_VERSION == "6.5" */
/*
#elif FLD_OS_NAME == "AIX"
#elif FLD_OS_NAME == "HPUX"
#elif FLD_OS_NAME == "SUNOS"
#elif FLD_OS_NAME == "VMS"
*/
#endif /* FLD_OS_NAME == "OSF1" */


//%GLOB:fl_conf_id:STOP%


#endif // __FLD_CONF_ID_H__


