

#ifndef __FL_PRINT_H__
#define __FL_PRINT_H__


// NOTE: OS header


#include "fl_conf_id.h"


// NOTE: System header files


#if FL_OS_NAME_V_OSF1
#       if FL_OS_VERSION_V_5_1
#               if FL_OS_RELEASE_V_B


#               endif
#       endif
#elif FL_OS_NAME_V_IRIX
#       if FL_OS_VERSION_V_6_5
#               if FL_OS_RELEASE_V_30


#include <sys/dvh.h>
#include <sys/vnode.h>


#               endif
#       endif
#endif


// NOTE: Local header files


#include "fl_common.h"
#include "fl_list.h"
#include "fl.h"
#include "fld.h"


// NOTE: Public prototypes


int fl_print_vnode(struct vnode *);


#if FL_OS_NAME_V_OSF1
#       if FL_OS_VERSION_V_5_1
#               if FL_OS_RELEASE_V_B


#               endif
#       endif
#endif


int fl_print_loop(fl_list_t *);
int fl_print_uio(struct uio *);
int fl_print_buf(struct buf *);
int fl_print_ioreq(struct fld_io_req_s *);
int fl_print_vh(struct volume_header *);
int fl_print_data(char *,
                  fl_uint32_t,
                  fl_uint32_t);
int fl_print_packet(struct fl_packet_s *);


#endif	// !defined(__FL_PRINT_H__)


